package cn.com.ctop.callback.controller;

import com.xxl.mq.client.message.XxlMqMessage;
import com.xxl.mq.client.producer.XxlMqProducer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class CallbackController {
    private Logger logger = LoggerFactory.getLogger(CallbackController.class);
    @ExceptionHandler({Exception.class})
    public String exception(Exception e) {
        e.printStackTrace();
        return e.getMessage();
    }
    @RequestMapping("/callback")
    @ResponseBody
    public String callback(){
        String topic = "bytedance_auth";
        String data = "时间戳:" + System.currentTimeMillis();
        logger.info(data);
        XxlMqProducer.produce(new XxlMqMessage(topic, data));
        return "SUCCESS";
    }
}
